<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tool_functions', function (Blueprint $table) {
            $table->id();

            $table->foreignId('tool_id')->constrained()->cascadeOnDelete();
            // index
            $table->index(['tool_id']);

            $table->string('name')->index();
            $table->string('description');
            $table->json('parameters');
            $table->json('required');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('tool_functions');
    }
};
